libvte-common_0.28.2-5_all.deb


Advertisement

Description

libvte-common - Terminal emulator widget for GTK+ 2.x - common files

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name libvte-common
Package version 0.28.2
Package release 5
Package architecture all
Package type deb
Installed size 1.28 KB
Download size 424.45 KB
Official Mirror ftp.br.debian.org
The VTE library provides a terminal emulator widget VteTerminal for
applications using the GTK+ toolkit. It also provides the VtePTY object
containing functions for starting a new process on a new
pseudo-terminal and for manipulating pseudo-terminals.
This package contains internationalization files for the VTE library
and common files for the GTK+ 2.x version.

Alternatives

Package Version Architecture Repository
libvte-common_0.28.2-5_all.deb 0.28.2 all Debian Main
libvte-common - - -

Download

Type URL
Binary Package libvte-common_0.28.2-5_all.deb
Source Package vte

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libvte-common deb package:
    # sudo apt-get install libvte-common

Files

Path
/usr/share/doc/libvte-common/AUTHORS
/usr/share/doc/libvte-common/NEWS.gz
/usr/share/doc/libvte-common/README
/usr/share/doc/libvte-common/changelog.Debian.gz
/usr/share/doc/libvte-common/changelog.gz
/usr/share/doc/libvte-common/copyright
/usr/share/locale/am/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/ang/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/ar/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/as/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/ast/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/az/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/be/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/be@latin/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/bg/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/bn/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/bn_IN/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/bs/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/ca/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/ca@valencia/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/cs/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/cy/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/da/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/de/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/dz/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/el/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/en@shaw/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/en_CA/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/en_GB/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/eo/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/es/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/et/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/eu/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/fa/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/fi/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/fr/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/ga/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/gl/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/gu/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/he/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/hi/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/hr/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/hu/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/id/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/is/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/it/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/ja/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/ka/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/kn/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/ko/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/ku/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/ky/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/li/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/lt/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/lv/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/mai/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/mi/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/mk/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/ml/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/mn/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/mr/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/ms/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/nb/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/nds/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/ne/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/nl/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/nn/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/oc/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/or/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/pa/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/pl/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/pt/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/pt_BR/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/ro/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/ru/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/rw/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/si/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/sk/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/sl/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/sq/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/sr/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/sr@latin/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/sv/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/ta/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/te/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/th/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/tr/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/ug/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/uk/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/vi/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/wa/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/xh/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/zh_CN/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/zh_HK/LC_MESSAGES/vte-0.0.mo
/usr/share/locale/zh_TW/LC_MESSAGES/vte-0.0.mo
/usr/share/vte/termcap
/usr/share/vte/termcap-0.0/xterm

Changelog

2012-06-23 - Josselin Mouette <joss@debian.org>
vte (1:0.28.2-5) unstable; urgency=medium
* Update repository URL.
* 03_CVE-2012-2738.patch, 04_CVE-2012-2738.patch: backport upstream 
patches to fix a memory exhaustion vulnerability. Closes: #677717.
2011-12-11 - Michael Biebl <biebl@debian.org>
vte (1:0.28.2-4) unstable; urgency=low
* debian/control.in:
- Remove obsolete Conflicts and Replaces.
* debian/rules:
- Correctly pass libexecdir to configure so libvte has the correct path to
gnome-pty-helper. Closes: #645104
* Add symbols file for libvte9 for improved shlibs dependencies and bump
shlibs accordingly. Closes: #633798
2011-11-19 - Josselin Mouette <joss@debian.org>
vte (1:0.28.2-3) unstable; urgency=low
* 02_meta.patch: workaround for Meta key being broken since the GTK+
2.24.8 upgrade. Closes: #648760.
2011-11-12 - Josselin Mouette <joss@debian.org>
vte (1:0.28.2-2) experimental; urgency=low
* Drop all GTK+3 packages and dependencies. This version will remain 
for GTK+2 support until no packages use it anymore.
* Keep gobject-introspection build-dependency for the macro used by 
dh_autoreconf.
* Disable glade catalogue and libgladeui requirement.
2011-10-19 - Michael Biebl <biebl@debian.org>
vte (1:0.28.2-1) unstable; urgency=low
* New upstream release.
* debian/watch:
- Track .xz tarballs.
* Refresh debian/patches/25_optional-ncurses.patch.
* debian/control.in:
- Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
- Add Vcs-* fields.
- Bump Standards-Version to 3.9.2. No further changes.
* Switch to dh_python2.
2011-06-28 - Josselin Mouette <joss@debian.org>
vte (1:0.28.1-2) unstable; urgency=low
* libvte-doc.links: dropped. Closes: #631881.
* libvte-common.postinst: do the symlink dance for 
/usr/share/vte/termcap. Closes: #611826, #631824, #631801.
2011-06-15 - Josselin Mouette <joss@debian.org>
vte (1:0.28.1-1) unstable; urgency=low
* Tighten dependencies on libvte-common.
* New upstream release.
+ CVE-2011-2198: fix memory exhaustion by using special character 
sequences. Closes: #629688.
* Drop check-dist include.
2011-06-05 - Josselin Mouette <joss@debian.org>
vte (1:0.28.0-2) experimental; urgency=low
* Fix long description, thanks Teemu Ikonen. Closes: #623219.
* Drop useless libvte-dev dependency on python-vte. Closes: #549015.
* libvte-common Breaks libvte9 < 1:0.28. Closes: #616394, #611826.
* python-vte Breaks python-apt << 0.8.0~exp2. Closes: #621483.
* Fix udeb sourcedir, thanks Colin Watson. Closes: #627555.
* 01_scroll_notebook.patch: new patch. Allow to switch tabs with 
Alt+wheel with the latest gtk+3.0.
2011-04-14 - Raphaƫl Hertzog <hertzog@debian.org>
vte (1:0.28.0-1) experimental; urgency=low
* Team upload.
* New upstream release.
* Add build-depends to libgladeui-dev, the GTK3 version now requires it.
* Move autoreconf.mk before debhelper.mk to avoid debhelper.log
leftovers.
* Drop unneeded Sections fields duplicating the default value.
* Add lintian overrides for package-name-doesnt-match-sonames and
setgid-binary.
2011-04-06 - Jordi Mallach <jordi@debian.org>
vte (1:0.27.90-2) experimental; urgency=low
* Drop unneeded dependency on libvte-common from gir1.2-vte-2.90.

See Also

Package Description
libvte-dev_0.28.2-5_amd64.deb Terminal emulator widget for GTK+ 2.0 - development files
libvte-doc_0.28.2-5_all.deb Terminal emulator widget for GTK+ 2.x - documentation
libvte-ruby1.8_1.1.3-2_all.deb Transitional package for ruby-vte
libvte-ruby_1.1.3-2_all.deb Transitional package for ruby-vte
libvte0.16-cil-dev_2.26.0-8_amd64.deb CLI binding for VTE 0.16
libvte0.16-cil_2.26.0-8_amd64.deb CLI binding for VTE 0.16
libvte9_0.28.2-5_amd64.deb Terminal emulator widget for GTK+ 2.0 - runtime files
libvtk-java_5.8.0-13+b1_amd64.deb Visualization Toolkit - A high level 3D visualization library - java
libvtk5-dev_5.8.0-13+b1_amd64.deb VTK header files for building C++ code
libvtk5-qt4-dev_5.8.0-13+b1_amd64.deb Visualization Toolkit - A high level 3D visualization library - Qt devel
libvtk5.8-qt4_5.8.0-13+b1_amd64.deb Visualization Toolkit - A high level 3D visualization library - Qt runtime
libvtk5.8_5.8.0-13+b1_amd64.deb Visualization Toolkit - A high level 3D visualization library - runtime
libvtkedge-dev_0.2.0~20110819-2_amd64.deb Library of advanced visualization and data processing techniques - development
libvtkedge_0.2.0~20110819-2_amd64.deb Library of advanced visualization and data processing techniques - runtime
libvtkgdcm-cil_2.2.0-14.1_amd64.deb Grassroots DICOM VTK CLI bindings
Advertisement
Advertisement